%define name wlassistant
%define version 0.5.3
%define release %mkrel 1
%define __libtoolize /bin/true
%define __cputoolize /bin/true



Name:      %{name}
Version:   %{version}
Release:   %{release}
Summary:   KDE Aplication to scan wirelles networks
License:   GPL
URL: http://kde-apps.org/content/show.php?content=21832
Group: System/Configuration/Networking
Source: http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Source10:  %name-16.png
Source11:  %name-32.png
Source12:  %name-48.png
Patch0:    wlassistant-0.3.6-use-kdesu.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs-devel >= 3.2
Requires: kdelibs-common
Requires: kdebase
Requires: wireless-tools

%description
This is a small application allowing you to scan for wireless networks 
and connect to them.
It uses wireless-tools as it's backend.
%prep
rm -rf $RPM_BUILD_ROOT


%setup -n %{name}-%{version}

%patch0 -p1 -b .fix_use_kdesu


%build



%make -f Makefile.cvs
# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

export PATH=$PATH:$QTDIR/bin %configure --disable-rpath



%install
rm -rf %buildroot
%{makeinstall_std}


install -d %buildroot/%{_menudir}

kdedesktop2mdkmenu.pl %{name} "System/Configuration/Networking" $RPM_BUILD_ROOT%_datadir/applnk/Utilities/wlassistant.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} x11 Wlassistant

install -m644 %{SOURCE10} -D %buildroot/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE11} -D %buildroot/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %buildroot/%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog TODO
%attr(0755,root,root) %{_bindir}/%{name}
%_datadir/applnk/Utilities/wlassistant.desktop
%_datadir/config.kcfg/waconfig.kcfg
%_iconsdir/hicolor/*/apps/%{name}.png
%_menudir/%{name}
%_iconsdir/*/%{name}.png
%_iconsdir/%{name}.png



%changelog
* Mon Aug 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.3-1mdk
- New release 0.5.3

* Tue Aug 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.2d-1mdk
- New release 0.5.2d

* Tue Aug 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.2b-1mdk
- New release 0.5.2b
- Add Requires ( i hope there is not too much this time )

* Tue May 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.9-2mdk
- Fix Menu to have my patch really used 

* Fri May 06 2005 Sebastien Savarin <plouf@mandriva.org> 0.3.9-1mdk 
- New release 0.3.9 fix build on amd64

* Mon Apr 18 2005 Sebastien Savarin <plouf@mandriva.org> 0.3.8-1mdk
- New release 0.3.8

* Mon Apr 11 2005 Sebastien Savarin <plouf@mandrake.org> 0.3.7-1mdk
- New release 0.3.7

* Mon Apr 04 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.3.6-4mdk
- Patch0: Fix menu launch

* Mon Apr 04 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.3.6-3mdk
- Fix Url

* Mon Apr 04 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.3.6-2mdk
- %%mkrel
- Fix summary
- Rpmbuildupdatable

* Sun Apr 03 2005  Sebastien Savarin <plouf@mandrake.org> 0.3.6-1mdk
- First Mandrakelinux Release
